Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs
Class GUnzip

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.tools.ant.taskdefs.Unpack
                  org.apache.tools.ant.taskdefs.GUnzip

All Implemented Interfaces:
  java.lang.Cloneable

    public class GUnzip

extends Unpack

Expands a file that has been compressed with the GZIP algorithm. Normally used to compress non-compressed archives such as TAR files.

Since:
  Ant 1.1

Field Summary

Fields inherited from class org.apache.tools.ant.taskdefs.Unpack
`dest, source, srcResource`

Fields inherited from class org.apache.tools.ant.Task
`target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`description, location, project`

Constructor Summary
`GUnzip()`

Method Summary
`protected void` | `extract()` Implement the gunzipping.
`protected java.lang.String` | `getDefaultExtension()` Get the default extension.
`protected boolean` | `supportsNonFileResources()` Whether this task can deal with non-file resources.

Methods inherited from class org.apache.tools.ant.taskdefs.Unpack
`addConfigured, execute, setDest, setDest, setSrc, setSrc, setSrcResource`

Methods inherited from class org.apache.tools.ant.Task
`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GUnzip

    public GUnzip()

Method Detail

### getDefaultExtension

    protected java.lang.String getDefaultExtension()

  Get the default extension.

  Specified by:
    `getDefaultExtension` in class `Unpack`
  Returns:
    the value ".gz"

### extract

    protected void extract()

  Implement the gunzipping.

  Specified by:
    `extract` in class `Unpack`

### supportsNonFileResources

    protected boolean supportsNonFileResources()

  Whether this task can deal with non-file resources.

  This implementation returns true only if this task is <gunzip>. Any subclass of this class that also wants to support non-file resources needs to override this method. We need to do so for backwards compatibility reasons since we can't expect subclasses to support resources.

  Overrides:
    `supportsNonFileResources` in class `Unpack`
  Returns:
    true if this task supports non file resources.
  Since:
    Ant 1.7

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD